<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
  <div id="app">
    <p>{{ contador }}</p>
    <!-- <button v-on:click="somar">Somar 1</button> -->
    <!--
      'v-on:' pode ser substituído por '@'
    -->
    <button @click="somar">Somar 1</button>
    <hr>
    <!-- <input type="text" v-bind:value="contador"> -->
    <!--
      'v-bind:' pode ser somente ':'
    -->
    <input type="text" :value="contador">
  </div>
  <script src="app.js"></script>
</body>

</html>